package com.ruoyi.file.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 项目管理对象 files_project
 * 
 * @author cmc
 * @date 2022-09-05
 */
public class FilesProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目唯一标识 */
    @Excel(name = "序号")
    private String id;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String projectNumber;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目是否结束 */
    @Excel(name = "项目是否结束")
    private String isFinish;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String projectLeader;

    /** 项目年份 */
    @Excel(name = "项目年份")
    private String year;

    /** 当前进度 */
    @Excel(name = "当前进度")
    private String currentProgress;

    /** 项目来源 */
    @Excel(name = "项目来源")
    private String projectSource;

    /** 甲方单位 */
    @Excel(name = "甲方单位")
    private String partyA;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telephone;

    /** 合同编码 */
    @Excel(name = "合同编码")
    private String contractCode;

    /** 合同编号 */
    @Excel(name = "合同编号")
    private String contractNumber;

    /** 项目类型 */
    @Excel(name = "项目类型")
    private String projectType;

    /** 预计价款 */
    @Excel(name = "预计价款")
    private String expectedPrice;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String projectLevel;

    /** 技术负责人 */
    @Excel(name = "技术负责人")
    private String technicalDirector;

    /** 技术设计人 */
    @Excel(name = "技术设计人")
    private String techinicalDesigner;

    /** 质量检查员 */
    @Excel(name = "质量检查员")
    private String qualityInspector;

    /** 承担部门 */
    @Excel(name = "承担部门")
    private String undertakingSector;

    /** 经费合计 */
    @Excel(name = "经费合计")
    private String fund;

    /** 领导批准时间 */
    @Excel(name = "领导批准时间")
    private String approvalDate;

    /** 进场时间 */
    @Excel(name = "进场时间")
    private String approachTime;

    /** 撤场时间 */
    @Excel(name = "撤场时间")
    private String withdrawalTime;

    /** 项目要求完成日期 */
    @Excel(name = "项目要求完成日期")
    private String requiredCompletionDate;

    /** 资料提交日期 */
    @Excel(name = "资料提交日期")
    private String submissionDate;

    /** 使用车辆（车牌号） */
    @Excel(name = "使用车辆", readConverterExp = "车=牌号")
    private String licensePlateNumber;

    /** 项目行车公里数 */
    @Excel(name = "项目行车公里数")
    private String mileage;

    /** 项目燃油使用费 */
    @Excel(name = "项目燃油使用费")
    private String fuelExpense;

    /** 主要设备 */
    @Excel(name = "主要设备")
    private String mainEquipment;

    /** 项目参与人员 */
    @Excel(name = "项目参与人员")
    private String projectParticipants;

    /** 当前处理环节 */
    @Excel(name = "当前处理环节")
    private String currentProcessing;

    /** 当前处理人 */
    @Excel(name = "当前处理人")
    private String currentHandler;

    /** 项目登记人 */
    @Excel(name = "项目登记人")
    private String projectRegistrant;

    /** 项目登记日期 */
    @Excel(name = "项目登记日期")
    private String registrationDate;

    /** 牵头部门 */
    @Excel(name = "牵头部门")
    private String leadingSector;



    /** 所属专题id */
//    @Excel(name = "所属专题id")
    private String topicId;

    /** 专题名称 */
//    @Excel(name = "专题名称")
    private String topicName;

    /** 存放地址的id */
//    @Excel(name = "存放地址的id")
    private String storageId;

    /** 存放地址 */
//    @Excel(name = "存放地址")
    private String storageAddress;

    /** 项目kml */
//    @Excel(name = "项目kml")
    private String projectKml;

    /** 项目控制点 */
//    @Excel(name = "项目控制点")
    private String projectCp;

    /** kml文件的中心位置经度 */
//    @Excel(name = "kml文件的中心位置经度")
    private String kmlLng;

    /** kml文件的中心位置纬度 */
//    @Excel(name = "kml文件的中心位置纬度")
    private String kmlLat;



    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setProjectNumber(String projectNumber) 
    {
        this.projectNumber = projectNumber;
    }

    public String getProjectNumber() 
    {
        return projectNumber;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setCurrentProgress(String currentProgress) 
    {
        this.currentProgress = currentProgress;
    }

    public String getCurrentProgress() 
    {
        return currentProgress;
    }
    public void setProjectSource(String projectSource) 
    {
        this.projectSource = projectSource;
    }

    public String getProjectSource() 
    {
        return projectSource;
    }
    public void setPartyA(String partyA) 
    {
        this.partyA = partyA;
    }

    public String getPartyA() 
    {
        return partyA;
    }
    public void setContactPerson(String contactPerson) 
    {
        this.contactPerson = contactPerson;
    }

    public String getContactPerson() 
    {
        return contactPerson;
    }
    public void setTelephone(String telephone) 
    {
        this.telephone = telephone;
    }

    public String getTelephone() 
    {
        return telephone;
    }
    public void setContractCode(String contractCode) 
    {
        this.contractCode = contractCode;
    }

    public String getContractCode() 
    {
        return contractCode;
    }
    public void setContractNumber(String contractNumber) 
    {
        this.contractNumber = contractNumber;
    }

    public String getContractNumber() 
    {
        return contractNumber;
    }
    public void setProjectType(String projectType) 
    {
        this.projectType = projectType;
    }

    public String getProjectType() 
    {
        return projectType;
    }
    public void setExpectedPrice(String expectedPrice) 
    {
        this.expectedPrice = expectedPrice;
    }

    public String getExpectedPrice() 
    {
        return expectedPrice;
    }
    public void setProjectLevel(String projectLevel) 
    {
        this.projectLevel = projectLevel;
    }

    public String getProjectLevel() 
    {
        return projectLevel;
    }
    public void setTechnicalDirector(String technicalDirector) 
    {
        this.technicalDirector = technicalDirector;
    }

    public String getTechnicalDirector() 
    {
        return technicalDirector;
    }
    public void setTechinicalDesigner(String techinicalDesigner) 
    {
        this.techinicalDesigner = techinicalDesigner;
    }

    public String getTechinicalDesigner() 
    {
        return techinicalDesigner;
    }
    public void setQualityInspector(String qualityInspector) 
    {
        this.qualityInspector = qualityInspector;
    }

    public String getQualityInspector() 
    {
        return qualityInspector;
    }
    public void setUndertakingSector(String undertakingSector) 
    {
        this.undertakingSector = undertakingSector;
    }

    public String getUndertakingSector() 
    {
        return undertakingSector;
    }
    public void setProjectLeader(String projectLeader) 
    {
        this.projectLeader = projectLeader;
    }

    public String getProjectLeader() 
    {
        return projectLeader;
    }
    public void setFund(String fund) 
    {
        this.fund = fund;
    }

    public String getFund() 
    {
        return fund;
    }
    public void setApprovalDate(String approvalDate) 
    {
        this.approvalDate = approvalDate;
    }

    public String getApprovalDate() 
    {
        return approvalDate;
    }
    public void setApproachTime(String approachTime) 
    {
        this.approachTime = approachTime;
    }

    public String getApproachTime() 
    {
        return approachTime;
    }
    public void setWithdrawalTime(String withdrawalTime) 
    {
        this.withdrawalTime = withdrawalTime;
    }

    public String getWithdrawalTime() 
    {
        return withdrawalTime;
    }
    public void setRequiredCompletionDate(String requiredCompletionDate) { this.requiredCompletionDate = requiredCompletionDate; }

    public String getRequiredCompletionDate() 
    {
        return requiredCompletionDate;
    }
    public void setSubmissionDate(String submissionDate) 
    {
        this.submissionDate = submissionDate;
    }

    public String getSubmissionDate() 
    {
        return submissionDate;
    }
    public void setLicensePlateNumber(String licensePlateNumber) 
    {
        this.licensePlateNumber = licensePlateNumber;
    }

    public String getLicensePlateNumber() 
    {
        return licensePlateNumber;
    }
    public void setMileage(String mileage) 
    {
        this.mileage = mileage;
    }

    public String getMileage() 
    {
        return mileage;
    }
    public void setFuelExpense(String fuelExpense) 
    {
        this.fuelExpense = fuelExpense;
    }

    public String getFuelExpense() 
    {
        return fuelExpense;
    }
    public void setMainEquipment(String mainEquipment) 
    {
        this.mainEquipment = mainEquipment;
    }

    public String getMainEquipment() 
    {
        return mainEquipment;
    }
    public void setProjectParticipants(String projectParticipants) 
    {
        this.projectParticipants = projectParticipants;
    }

    public String getProjectParticipants() 
    {
        return projectParticipants;
    }
    public void setCurrentProcessing(String currentProcessing) 
    {
        this.currentProcessing = currentProcessing;
    }

    public String getCurrentProcessing() 
    {
        return currentProcessing;
    }
    public void setCurrentHandler(String currentHandler) 
    {
        this.currentHandler = currentHandler;
    }

    public String getCurrentHandler() 
    {
        return currentHandler;
    }
    public void setProjectRegistrant(String projectRegistrant) 
    {
        this.projectRegistrant = projectRegistrant;
    }

    public String getProjectRegistrant() 
    {
        return projectRegistrant;
    }
    public void setRegistrationDate(String registrationDate) 
    {
        this.registrationDate = registrationDate;
    }

    public String getRegistrationDate() 
    {
        return registrationDate;
    }
    public void setLeadingSector(String leadingSector) 
    {
        this.leadingSector = leadingSector;
    }

    public String getLeadingSector() 
    {
        return leadingSector;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setTopicId(String topicId) 
    {
        this.topicId = topicId;
    }

    public String getTopicId() 
    {
        return topicId;
    }
    public void setTopicName(String topicName)
    {
        this.topicName = topicName;
    }

    public String getTopicName()
    {
        return topicName;
    }
    public void setStorageAddress(String storageAddress)
    {
        this.storageAddress = storageAddress;
    }

    public String getStorageAddress()
    {
        return storageAddress;
    }
    public void setStorageId(String storageId)
    {
        this.storageId = storageId;
    }

    public String getStorageId()
    {
        return storageId;
    }
    public void setProjectKml(String projectKml)
    {
        this.projectKml = projectKml;
    }

    public String getProjectKml()
    {
        return projectKml;
    }
    public void setProjectCp(String projectCp)
    {
        this.projectCp = projectCp;
    }

    public String getProjectCp()
    {
        return projectCp;
    }

    public String getKmlLng()
    {
        return kmlLng;
    }
    public void setKmlLng(String kmlLng)
    {
        this.kmlLng = kmlLng;
    }

    public String getKmlLat()
    {
        return kmlLat;
    }
    public void setKmlLat(String kmlLat)
    {
        this.kmlLat = kmlLat;
    }

    public void setIsFinish(String isFinish)
    {
        this.isFinish = isFinish;
    }

    public String getIsFinish()
    {
        return isFinish;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectNumber", getProjectNumber())
            .append("projectName", getProjectName())
            .append("currentProgress", getCurrentProgress())
            .append("projectSource", getProjectSource())
            .append("partyA", getPartyA())
            .append("contactPerson", getContactPerson())
            .append("telephone", getTelephone())
            .append("contractCode", getContractCode())
            .append("contractNumber", getContractNumber())
            .append("projectType", getProjectType())
            .append("expectedPrice", getExpectedPrice())
            .append("projectLevel", getProjectLevel())
            .append("technicalDirector", getTechnicalDirector())
            .append("techinicalDesigner", getTechinicalDesigner())
            .append("qualityInspector", getQualityInspector())
            .append("undertakingSector", getUndertakingSector())
            .append("projectLeader", getProjectLeader())
            .append("fund", getFund())
            .append("approvalDate", getApprovalDate())
            .append("approachTime", getApproachTime())
            .append("withdrawalTime", getWithdrawalTime())
            .append("requiredCompletionDate", getRequiredCompletionDate())
            .append("submissionDate", getSubmissionDate())
            .append("licensePlateNumber", getLicensePlateNumber())
            .append("mileage", getMileage())
            .append("fuelExpense", getFuelExpense())
            .append("mainEquipment", getMainEquipment())
            .append("projectParticipants", getProjectParticipants())
            .append("currentProcessing", getCurrentProcessing())
            .append("currentHandler", getCurrentHandler())
            .append("projectRegistrant", getProjectRegistrant())
            .append("registrationDate", getRegistrationDate())
            .append("leadingSector", getLeadingSector())
            .append("year", getYear())
            .append("topicId", getTopicId())
            .append("storageId", getStorageId())
            .toString();
    }
}
