package com.ruoyi.file.mapper;

import com.ruoyi.file.domain.FilesProject;

import java.util.List;

/**
 * 项目管理Mapper接口
 * 
 * @author cmc
 * @date 2022-09-05
 */
public interface FilesProjectMapper 
{
    /**
     * 查询项目管理
     * 
     * @param id 项目管理主键
     * @return 项目管理
     */
    public FilesProject selectFilesProjectById(String id);

    /**
     * 查询项目
     *
     * @param projectNumber 项目编号
     * @return 项目管理
     */
    public FilesProject selectFilesProjectByNumber(String projectNumber);
    /**
     * 查询项目管理列表
     * 
     * @param filesProject 项目管理
     * @return 项目管理集合
     */
    public List<FilesProject> selectFilesProjectList(FilesProject filesProject);

    /**
     * 新增项目管理
     * 
     * @param filesProject 项目管理
     * @return 结果
     */
    public int insertFilesProject(FilesProject filesProject);

    /**
     * 修改项目管理
     * 
     * @param filesProject 项目管理
     * @return 结果
     */
    public int updateFilesProject(FilesProject filesProject);

    /**
     * 删除项目管理
     * 
     * @param id 项目管理主键
     * @return 结果
     */
    public int deleteFilesProjectById(String id);

    /**
     * 批量删除项目管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFilesProjectByIds(String[] ids);

    int selectAllCount(FilesProject filesProject);

    public List<FilesProject> selectFilesProjectByNumbers(String[] ids);
}
