package com.ruoyi.file.service;

import com.ruoyi.file.domain.FilesTopic;

import java.util.List;

/**
 * 专题管理Service接口
 * 
 * @author cmc
 * @date 2022-09-05
 */
public interface IFilesTopicService 
{
    /**
     * 查询专题管理
     * 
     * @param id 专题管理主键
     * @return 专题管理
     */
    public FilesTopic selectFilesTopicById(String id);

    /**
     * 查询专题管理列表
     * 
     * @param filesTopic 专题管理
     * @return 专题管理集合
     */
    public List<FilesTopic> selectFilesTopicList(FilesTopic filesTopic);

    /**
     * 新增专题管理
     * 
     * @param filesTopic 专题管理
     * @return 结果
     */
    public int insertFilesTopic(FilesTopic filesTopic);

    /**
     * 修改专题管理
     * 
     * @param filesTopic 专题管理
     * @return 结果
     */
    public int updateFilesTopic(FilesTopic filesTopic);

    /**
     * 批量删除专题管理
     * 
     * @param ids 需要删除的专题管理主键集合
     * @return 结果
     */
    public int deleteFilesTopicByIds(String[] ids);

    /**
     * 删除专题管理信息
     * 
     * @param id 专题管理主键
     * @return 结果
     */
    public int deleteFilesTopicById(String id);
}
