package com.ruoyi.file.service.impl;

import com.ruoyi.file.domain.FilesTopic;
import com.ruoyi.file.mapper.FilesTopicMapper;
import com.ruoyi.file.service.IFilesTopicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 专题管理Service业务层处理
 * 
 * @author cmc
 * @date 2022-09-05
 */
@Service
public class FilesTopicServiceImpl implements IFilesTopicService 
{
    @Autowired
    private FilesTopicMapper filesTopicMapper;

    /**
     * 查询专题管理
     * 
     * @param id 专题管理主键
     * @return 专题管理
     */
    @Override
    public FilesTopic selectFilesTopicById(String id)
    {
        return filesTopicMapper.selectFilesTopicById(id);
    }

    /**
     * 查询专题管理列表
     * 
     * @param filesTopic 专题管理
     * @return 专题管理
     */
    @Override
    public List<FilesTopic> selectFilesTopicList(FilesTopic filesTopic)
    {
        return filesTopicMapper.selectFilesTopicList(filesTopic);
    }

    /**
     * 新增专题管理
     * 
     * @param filesTopic 专题管理
     * @return 结果
     */
    @Override
    public int insertFilesTopic(FilesTopic filesTopic)
    {
        return filesTopicMapper.insertFilesTopic(filesTopic);
    }

    /**
     * 修改专题管理
     * 
     * @param filesTopic 专题管理
     * @return 结果
     */
    @Override
    public int updateFilesTopic(FilesTopic filesTopic)
    {
        return filesTopicMapper.updateFilesTopic(filesTopic);
    }

    /**
     * 批量删除专题管理
     * 
     * @param ids 需要删除的专题管理主键
     * @return 结果
     */
    @Override
    public int deleteFilesTopicByIds(String[] ids)
    {
        return filesTopicMapper.deleteFilesTopicByIds(ids);
    }

    /**
     * 删除专题管理信息
     * 
     * @param id 专题管理主键
     * @return 结果
     */
    @Override
    public int deleteFilesTopicById(String id)
    {
        return filesTopicMapper.deleteFilesTopicById(id);
    }
}
